%define major 4
%define name libfwbuilder
%define libname %{name}%{major}
%define version 0.10.13
%define release 1mdk

Name: %{name}
Summary: Firewall Builder API
Url: http://www.fwbuilder.org/
Version: %{version}
Release: %{release}
License: GPL
Group:  System/Libraries
Source: http://prdownloads.sourceforge.net/fwbuilder/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libxslt-devel
BuildRequires: bind-devel
BuildRequires: libsigc++-devel

%description
Firewall Builder API Library

%package -n %name-data
Summary: Fixed data for fwbuilder
Group: System/Libraries
Requires: %{libname} = %version-%release

%description -n %name-data
Fised data for libfwbuilder.
The Firewall Builder API Library

%package -n %{libname}
Summary: Firewall Builder API
Group:  System/Libraries
Requires: %name-data = %version-%release
Requires: ucd-snmp >= 4.2
Requires: libsigc++
Provides: %name = %version-%release

%description -n %{libname}
Firewall Builder API Library

%package -n %{libname}-devel
Summary:   Firewall Builder API Libraries and Header Files
Group:     Development/Other
Requires:  %{libname} = %{version}-%{release}
Obsoletes: fwbuilder-devel
Provides:  fwbuilder-devel
Provides:  libfwbuilder-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the libraries  and header files that programmer would
need to develop applications using Firewall Builder API.

%prep 
%setup -q

%build
./autogen.sh --enable-auto-docdir --prefix=/usr/ --with-templatedir=/usr/share/libfwbuilder
%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

rm -fr $RPM_BUILD_ROOT/%_datadir/doc/*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %name-data
%defattr(-,root,root)
%{_datadir}/%{name}/*
%doc doc/AUTHORS doc/COPYING doc/ChangeLog doc/Credits doc/README

%files -n %libname
%defattr(-,root,root)
%{_libdir}/%{name}.so.*
%{_libdir}/libfwcompiler.so.*

%files  -n %{libname}-devel
%defattr(-, root, root)
%doc doc/classref
%{_bindir}/%{name}-config
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so

%changelog
* Fri Nov 07 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.10.13-1mdk
- 0.10.13

* Wed Jan 08 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.10.12-2mdk
- split package

* Tue Jan 07 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.10.12-1mdk
- 0.10.12

* Sat Dec 14 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.10.11-1mdk
- Fix package naming (src should not contain %%major !!)

* Wed Oct 30 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.10.11-1mdk
- 0.10.11

* Wed Oct 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.10.10-1mdk
- 0.10.10

* Thu Sep 12 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.10.9-2mdk
- oops, the major of the lib is 3

* Wed Sep 11 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.10.9-1mdk
- 0.10.9

* Thu Sep 05 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.10.7-2mdk
- rebuild

* Thu Jun 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.10.7-1mdk
- 0.10.7

* Wed May 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.6-3mdk
- oops, the major of the lib is 2

* Wed May 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.6-2mdk
- have in -devel package some missing includes

* Tue May 21 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.10.6-1mdk
- new version
- recompile with g++ 3.1, needs a small patch
- libtoolize to fix undefined symbol pb's

* Tue Apr 09 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.10.5-1mdk
- 0.10.5

* Wed Jan 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.10.4-1mdk
- 0.10.4
- clean

* Tue Dec 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.10.3-1mdk
- 0.10.3

* Mon Dec 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.10.2-1mdk
- 0.10.2

* Tue Nov  6 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.10.0-1mdk
- first mandrake release, taken from fwbuiler web site
- macroszification
- corrected source url
- a few Requires and BuildRequires 
- post and postun ldconfig
